﻿package user.spec
{
	import flash.display.MovieClip;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.text.TextFieldAutoSize;
	
	public class Main extends MovieClip 
	{
		public function Main():void 
		{			
			// ====== 埋め込みフォント(ImplementFontと命名した)のインスタンスを生成
			var myFont:ImplementFont = new ImplementFont;
			
			// ====== テキストフィールドのインスタンスを生成
			var myTextField:TextField = new TextField();
			
			// ====== 埋め込みフォントを使用する
			myTextField.embedFonts	= true;
			
			// =======================================
			//	テキストフィールドのスタイルを設定
			// =======================================
			myTextField.defaultTextFormat = new TextFormat(
					myFont.fontName, 35, 0xFF0000, false, false, false, null );
			//      |          		  |      |      |     |      |      +-- URL(ハイパーリンク先)
			//      |          	      |      |      |     |      +--------- アンダーライン有無
			//      |          		  |      |      |     +---------------- Italicにするかどうか
			//      |         	      |      |      +---------------------- Boldにするかどうか
			//      |         	      |      +----------------------------- フォント色(RGB)
			//      |        	      +------------------------------------ フォントサイズ(pt)
			//      +------------------------------------------------------ フォント名
			
			// =======================================
			//	テキストを設定し、中央寄せする
			// =======================================
			myTextField.text 	= "test implement text";
			myTextField.autoSize= TextFieldAutoSize.CENTER;
			
			// =======================================
			//	テキストフィールドの位置を指定してステージに追加
			// =======================================					
			myTextField.x = 0;
			myTextField.y = 0;
			addChild(myTextField);
		}
	}
}